#****************************************************************************
#**
#**  File     :  /cdimage/units/URB5101/URB5101_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Cybran Wall Piece Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local CWallStructureUnit = import('/lua/cybranunits.lua').CWallStructureUnit
local TerraFormer = import ('/Mods/TerraFormer/hook/TerraFormer.lua').TerraFormer

TFR00SH = Class(CWallStructureUnit) {

  OnStopBeingBuilt = function(self)
    local x,y,z = unpack(self:GetPosition())

    TerraFormer.Slope(x,z,12,2,self);
    self:Destroy()
    self:RequestRefreshUI();
  end
}


TypeClass = TFR00SH